## org.eclipse.datatools.sqltools.db.generic.parser
Class ASTExpression

    java.lang.Object
      org.eclipse.datatools.sqltools.sql.parser.ast.SimpleNode
          org.eclipse.datatools.sqltools.db.generic.parser.SimpleNode
              org.eclipse.datatools.sqltools.db.generic.parser.ASTExpression

All Implemented Interfaces:
  Node

    public class ASTExpression

extends SimpleNode

Constructor Summary
`ASTExpression(GenericSQLParser p, int id)`
`ASTExpression(int id)`

Method Summary
`java.lang.Object` `jjtAccept(GenericSQLParserVisitor visitor, java.lang.Object data)` Accept the visitor.

Methods inherited from class org.eclipse.datatools.sqltools.db.generic.parser.SimpleNode
`childrenAccept, dump, toString, toString`

Methods inherited from class org.eclipse.datatools.sqltools.sql.parser.ast.SimpleNode

`acceptChildren, equals, exists, getDocument, getEndOffset, getEndOffset, getFirstToken, getGreatestEndOffset, getGreatestEndOffset, getLastToken, getNextTokenOffset, getNextTokenOffset, getPreviousNode, getSQLText, getStartOffset, getStartOffset, getText, jjtAccept, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setDocument, setFirstToken, setLastToken`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.sqltools.sql.parser.ast.Node
`exists, getDocument, getEndOffset, getEndOffset, getFirstToken, getGreatestEndOffset, getGreatestEndOffset, getLastToken, getNextTokenOffset, getNextTokenOffset, getPreviousNode, getSQLText, getStartOffset, getStartOffset, jjtAccept, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setDocument, setFirstToken, setLastToken`

Constructor Detail

### ASTExpression

    public ASTExpression(int id)

### ASTExpression

    public ASTExpression(GenericSQLParser p,
                         int id)

Method Detail

### jjtAccept

    public java.lang.Object jjtAccept(GenericSQLParserVisitor visitor,
                                      java.lang.Object data)

  Accept the visitor.

  Overrides:
    `jjtAccept` in class `SimpleNode`